summaryrefslogtreecommitdiffstats
path: root/extras/init.d/glusterd-SuSE.in
diff options
context:
space:
mode:
authorBalamurugan Arumugam <bala@gluster.com>2010-09-13 03:40:16 +0000
committerVijay Bellur <vijay@dev.gluster.com>2010-09-13 03:05:46 -0700
commit993edcc972269424901357578568b48af70a6a63 (patch)
tree2d5cc192da4d2d31cc5305bbf0779d46d01892e6 /extras/init.d/glusterd-SuSE.in
parent288040196caa67b559ea668cef21284515109d94 (diff)
extras: modify run level scripts to support glusterd.v3.1.0qa21
Signed-off-by: Bala.JA <bala@gluster.com> Signed-off-by: Pavan Vilas Sondur <pavan@gluster.com> Signed-off-by: Vijay Bellur <vijay@dev.gluster.com> BUG: 1589 (Change init.d scripts to include glusterd) URL: http://bugs.gluster.com/cgi-bin/bugzilla3/show_bug.cgi?id=1589
Diffstat (limited to 'extras/init.d/glusterd-SuSE.in')
-rwxr-xr-xextras/init.d/glusterd-SuSE.in74
1 files changed, 74 insertions, 0 deletions
diff --git a/extras/init.d/glusterd-SuSE.in b/extras/init.d/glusterd-SuSE.in
new file mode 100755
index 00000000000..16cf8de6a13
--- /dev/null
+++ b/extras/init.d/glusterd-SuSE.in
@@ -0,0 +1,74 @@
+#!/bin/bash
+#
+### BEGIN INIT INFO
+# Provides: glusterd
+# Required-Start: $local_fs $network
+# Required-Stop:
+# Default-Start: 3 5
+# Default-Stop:
+# Short-Description: Gluster File System service for volume management
+# Description: Gluster File System service for volume management
+### END INIT INFO
+
+# Get function from functions library
+
+. /etc/rc.status
+
+BASE=glusterd
+GLUSTERD_BIN=@prefix@/sbin/$BASE
+GLUSTERD_OPTS=""
+GLUSTERD="$GLUSTERD_BIN $GLUSTERD_OPTS"
+RETVAL=0
+
+# Start the service $BASE
+start()
+{
+ echo -n $"Starting $BASE:"
+ startproc $GLUSTERD
+ return $?
+}
+
+# Stop the service $BASE
+stop()
+{
+ echo $"Stopping $BASE:"
+ killproc $BASE
+ return $?
+}
+
+
+### service arguments ###
+case $1 in
+ start)
+ start || {
+ rc_status -v
+ rc_exit
+ }
+ rc_status -v
+ ;;
+ stop)
+ stop || {
+ rc_status -v
+ rc_exit
+ }
+ rc_status -v
+ ;;
+ status)
+ echo -n " glusterd"
+ if ! checkproc $BASE ;then
+ echo " not running"
+ rc_failed 3
+ fi
+ rc_status -v
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ rc_status
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart}."
+ exit 1
+esac
+
+exit 0